This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290111 - [RFE] Support for rfc3673 '+' to return operational attributes
[RFE] Support for rfc3673 '+' to return operational attributes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
Petr Bokoc
: FutureFeature
: 700880 (view as bug list)
Depends On:
Blocks: 690319 1346324
  Show dependency treegraph
 
Reported: 2015-12-09 11:46 EST by Nathan Kinder
Modified: 2016-11-03 16:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Enhancement
Doc Text:
The "ldapsearch" command can now return all operational attributes LDAP searches can now return all operational attributes as described in IETF RFC 3673. Using the `+` character in a search will yield all operational attributes to which the bound Distinguished Name (DN) has access. The returned results may be limited depending on applicable Access Control Instructions (ACIs). An example search might look similar to the following: ldapsearch -LLLx -h localhost -p 10002 -b ou=people,dc=example,dc=com -s base '+' dn: ou=People,dc=example,dc=com See https://tools.ietf.org/html/rfc3673 for additional information about this feature.
Story Points: ---
Clone Of:
: 1346324 (view as bug list)
Environment:
Last Closed: 2016-11-03 16:38:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2015-12-09 11:46:36 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48363


We should implement OID 1.3.6.1.4.1.4203.1.5.1 as a supportedFeature in 389-ds as per rfc3673.

https://tools.ietf.org/html/rfc3673
Comment 1 Noriko Hosoi 2015-12-09 12:37:07 EST
*** Bug 700880 has been marked as a duplicate of this bug. ***
Comment 2 Noriko Hosoi 2015-12-09 12:37:43 EST
See also bz #700880 and #861139, which are closed as dup of this bug.
Comment 3 Mike McCune 2016-03-28 19:13:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Simon Pichugin 2016-05-23 08:20:33 EDT
Test suite for this feature was added to https://git.fedorahosted.org/git/389/ds.git repo:

dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
Comment 6 Simon Pichugin 2016-05-23 08:21:40 EDT
Build tested:
389-ds-base-1.3.5.3-1.el7
 
============================= test session starts =============================
platform linux2 -- Python 2.7.5 -- py-1.4.27 -- pytest-2.7.0 -- /usr/bin/python
rootdir: /tmp/ds/dirsrvtests/tests/suites/filter, inifile:
collected 22 items
 
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_supported_features OK group dirsrv exists
OK user dirsrv exists
DEBUG:lib389.tools:running: ['/usr/sbin/setup-ds.pl', '-l', '/dev/null', '-s', '-f', '-']
DEBUG:lib389.tools:/usr/sbin/setup-ds.pl returned exit code 0
PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-False-oper_attr_list0] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-False-oper_attr_list0-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-False-oper_attr_list0-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-True-oper_attr_list1] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-True-oper_attr_list1-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[-True-oper_attr_list1-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-False-oper_attr_list2] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-False-oper_attr_list2-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-False-oper_attr_list2-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-True-oper_attr_list3] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-True-oper_attr_list3-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[ou=people,dc=example,dc=com-True-oper_attr_list3-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-False-oper_attr_list4] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-False-oper_attr_list4-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-False-oper_attr_list4-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-True-oper_attr_list5] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-True-oper_attr_list5-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[uid=all_attrs_test,ou=people,dc=example,dc=com-True-oper_attr_list5-objectClass] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[cn=config-False-oper_attr_list6] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[cn=config-False-oper_attr_list6-*] PASSED
dirsrvtests/tests/suites/filter/all_oper_attrs_test.py::test_search_basic[cn=config-False-oper_attr_list6-objectClass] PASSEDDEBUG:lib389:running: /usr/sbin/remove-ds.pl -i slapd-standalone
Instance slapd-standalone removed.
 
 
========================== 22 passed in 15.39 seconds ==========================

Marking as verified.
Comment 11 errata-xmlrpc 2016-11-03 16:38:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html

Note You need to log in before you can comment on or make changes to this bug.